//
//  AsosAppController.java
//  AsosApp
//
//  Created by Nick Carrasco on Thu May 08 2003.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;
import javax.swing.*;
import javax.swing.event.*;

public class AsosAppController extends JPanel implements ActionListener {
  private AsosImageLoaderPanel imageLoaderPanel;
  private AsosSoundLoaderPanel soundLoaderPanel;
  private AsosStationInfoPanel stationInfoPanel;

  private JLabel statusLabel;
  private JButton sendButton;
  
  public AsosAppController() {
    this.setLayout(new BorderLayout());

    stationInfoPanel = new AsosStationInfoPanel(this);
    this.add(stationInfoPanel,BorderLayout.CENTER);

    Box loaderBox = Box.createVerticalBox();
      imageLoaderPanel = new AsosImageLoaderPanel(this);
      loaderBox.add(imageLoaderPanel);    
      soundLoaderPanel = new AsosSoundLoaderPanel(this);
      loaderBox.add(soundLoaderPanel);
    this.add(loaderBox,BorderLayout.EAST);
    
    Box controllerBox = Box.createHorizontalBox();
      statusLabel = new JLabel("Status: ...");
      controllerBox.add(statusLabel);
      controllerBox.add(Box.createHorizontalGlue());
      sendButton = new JButton("Send");
      controllerBox.add(sendButton);
    this.add(controllerBox,BorderLayout.SOUTH);
   
    this.setVisible(true);
  }


  public void actionPerformed(ActionEvent e) {
    Object eventSource = e.getSource();
  }
}

