//
//  AsosExposurePanel.java
//  AsosApp
//
//  Created by Nick Carrasco on Mon May 12 2003.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;
import javax.swing.*;
import javax.swing.event.*;

public class AsosExposurePanel extends JPanel {
  private AsosAppController controller;
  private JTextField exposure360;
  private JTextField exposure045;
  private JTextField exposure090;
  private JTextField exposure135;
  private JTextField exposure180;
  private JTextField exposure225;
  private JTextField exposure270;
  private JTextField exposure315;

  public AsosExposurePanel(AsosAppController c) {
    controller = c;
    
    this.setLayout(new BoxLayout(this,BoxLayout.Y_AXIS));
    
    JPanel p360 = new JPanel();
    p360.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel label360 = new JLabel("<HTML><B>000/360:</B></HTML>",JLabel.LEFT);
    p360.add(label360);
    exposure360 = new JTextField(35);
    p360.add(exposure360);
    this.add(p360);
    
    JPanel p045 = new JPanel();
    p045.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel label045 = new JLabel("<HTML><B>045:</B></HTML>");
    p045.add(label045);
    exposure045 = new JTextField(35);
    p045.add(exposure045);
    this.add(p045);
    
    JPanel p090 = new JPanel();
    p090.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel label090 = new JLabel("<HTML><B>090:</B></HTML>");
    p090.add(label090);
    exposure090 = new JTextField(35);
    p090.add(exposure090);
    this.add(p090);
    
    JPanel p135 = new JPanel();
    p135.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel label135 = new JLabel("<HTML><B>135:</B></HTML>");
    p135.add(label135);
    exposure135 = new JTextField(35);
    p135.add(exposure135);
    this.add(p135);
    
    JPanel p180 = new JPanel();
    p180.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel label180 = new JLabel("<HTML><B>180:</B></HTML>");
    p180.add(label180);
    exposure180 = new JTextField(35);
    p180.add(exposure180);
    this.add(p180);
    
    JPanel p225 = new JPanel();
    p225.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel label225 = new JLabel("<HTML><B>225:</B></HTML>");
    p225.add(label225);
    exposure225 = new JTextField(35);
    p225.add(exposure225);
    this.add(p225);
    
    JPanel p270 = new JPanel();
    p270.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel label270 = new JLabel("<HTML><B>270:</B></HTML>");
    p270.add(label270);
    exposure270 = new JTextField(35);
    p270.add(exposure270);
    this.add(p270);

    JPanel p315 = new JPanel();
    p315.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JLabel label315 = new JLabel("<HTML><B>315:</B></HTML>");
    p315.add(label315);
    exposure315 = new JTextField(35);
    p315.add(exposure315);
    this.add(p315);

    JPanel filePanel = new JPanel();
    filePanel.setLayout(new FlowLayout(FlowLayout.RIGHT));
    JButton asciiExpButton = new JButton("Set Exposure Infomation");
    asciiExpButton.setActionCommand("expinfo");
    asciiExpButton.addActionListener(controller);
    filePanel.add(asciiExpButton);
    this.add(filePanel);
    
    this.setVisible(true);
  }
  
  public String getExposure360() {
    return exposure360.getText();
  }
  
  public String getExposure045() {
    return exposure045.getText();
  }

  public String getExposure090() {
    return exposure090.getText();
  }

  public String getExposure135() {
    return exposure135.getText();
  }

  public String getExposure180() {
    return exposure180.getText();
  }

  public String getExposure225() {
    return exposure225.getText();
  }

  public String getExposure270() {
    return exposure270.getText();
  }

  public String getExposure315() {
    return exposure315.getText();
  }
  
  public String getAsciiInfo() {
    String info = new String();
    if(getExposure360().length() != 0) info += "0/360:\t" + getExposure360() + "\n";
    else return null;
    if(getExposure045().length() != 0) info += "045:\t" + getExposure045() + "\n";
    else return null;
    if(getExposure090().length() != 0) info += "090:\t" + getExposure090() + "\n";
    else return null;
    if(getExposure135().length() != 0) info += "135:\t" + getExposure135() + "\n";
    else return null;
    if(getExposure180().length() != 0) info += "180:\t" + getExposure180() + "\n";
    else return null;
    if(getExposure225().length() != 0) info += "225:\t" + getExposure225() + "\n";
    else return null;
    if(getExposure270().length() != 0) info += "270:\t" + getExposure270() + "\n";
    else return null;
    if(getExposure315().length() != 0) info += "315:\t" + getExposure315() + "\n";
    else return null;
    return info;
  }

}
