import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.net.*;

/*
 * AsosMailDialog class is designed to inform user of
 * a certain activity while in progress.
 * 1/10/2003
 */
public class AsosMailDialog extends JDialog implements HyperlinkListener {
  JLabel aLabel;
	String mailRecipient;
  String mailSubject;
	String mailMessage;

  public AsosMailDialog() {
    this(500, 150);
  } // end Constructor

  public AsosMailDialog(int w, int h) {
    super();
    setSize(w, h);
    setResizable(true);
    aLabel = new JLabel("", JLabel.CENTER);
    getContentPane().add(aLabel, BorderLayout.CENTER);
		this.addHyperlinkListener(this);
		this.setContentType("text/html");
  } // end Constructor

  public void setInfo(String recip,String subj, String msg) {
	  mailRecipient = recip;
    mailSubject = subj;
	  mailMessage = msg;
	}

  public void setMessage() {
    aLabel.setText("<html><b> Click here to send email to <a href=''>" + mailRecipient + "</a></b></body></html>");
    aLabel.setForeground(Color.red);
    show();
  } // end setMessage

	public void hyperlinkUpdate(HyperlinkEvent e) {
	  if(e.getEventType() == HyperlinkEvent.EventType.ACTIVATED) {
		  try {
			  Runtime.getRuntime().exec("start mailto:"+mailRecipient+"?"+mailSubject+"&"+mailMessage);
			} catch(Exception r) {}
		}
	}

} // end MessageDialog
