//
//  AsosMailer.java
//  AsosApp
//
//  Created by Nick Carrasco on Thu May 22 2003.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;
import java.lang.*;
import javax.swing.*;
import javax.swing.event.*;

public class AsosMailer extends JPanel implements HyperlinkListener  {
  private String mailRecipient;
  private String mailSubject;
  private String mailMessage;

  private JEditorPane mailPane;

  public AsosMailer() {
    this.setLayout(new FlowLayout());

    mailPane = new JEditorPane();
    mailPane.addHyperlinkListener(this);
    mailPane.setContentType("text/html");
    mailPane.setVisible(true);

    this.add(mailPane);
  }

  public void setMessage(String recip, String subj, String msg) {
    mailRecipient = recip; mailSubject = subj; mailMessage = msg;

    String text = "<html><body>\n";
    text += "<b><a href=''>Click here to send email the following message to "+mailRecipient+"</a></b>\n";
    text += "<hr>To: " + mailRecipient + "\n";
    text += "<br>Subj: " + mailSubject + "\n";
    text += "<br>Body: <pre>" + mailMessage + "</pre>\n";
    text += "<hr>If the above link does not work,please send an email to";
    text += "<br><font color=blue>"+mailRecipient+"</font> on your own.";
    text += "<br>Thank you.";
    text += "</body></html>";
    mailPane.setText(text);
    mailPane.setEditable(false);
  } // end setMessage

  public void hyperlinkUpdate(HyperlinkEvent e) {
    if (e.getEventType() == HyperlinkEvent.EventType.ACTIVATED) {
      try{
        Process p = Runtime.getRuntime().exec("cmd /c start mailto:"+mailRecipient+"?subject="+mailSubject+"&body="+mailMessage);
        p.waitFor();
        p.destroy();
      } catch(Exception r) {
        r.printStackTrace();
      }
    }
  }
}
