//
//  AsosSoundLoaderPanel.java
//  AsosApp
//
//  Created by Nick Carrasco on Thu May 08 2003.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;
import javax.swing.*;
import javax.swing.event.*;

public class AsosSoundLoaderPanel extends JPanel {
  private JButton loadLocationWavFile;
  private JButton loadObstacleWavFile;
  private AsosAppController controller;
  
  public AsosSoundLoaderPanel(AsosAppController c) {
    controller = c;
    
    this.setLayout(new BoxLayout(this,BoxLayout.X_AXIS));
    
    loadLocationWavFile = new JButton("<HTML><H4>Location Sound File</H4></HTML>");
    loadLocationWavFile.setActionCommand("location");
    loadLocationWavFile.addActionListener(controller);
    this.add(loadLocationWavFile);
    
    loadObstacleWavFile = new JButton("<HTML><H4>Obstacles Sound File</H4></HTML>");
    loadObstacleWavFile.setActionCommand("obstacle");
    loadObstacleWavFile.addActionListener(controller);
    this.add(loadObstacleWavFile);

    this.setVisible(true);
  }
}
